Summary: A fast, compact editor based on the S-Lang screen library.
Name: jed
Version: 0.99.12
Release: 1
Copyright: GPL
Group: Applications/Editors
Source0: ftp://space.mit.edu/pub/davis/jed/jed-B0.99-12.tar.gz
Patch1: jed-0.99.12-xkeys.patch
Patch2: jed-0.98.6-dfa.patch
Patch3: jed-info.patch
Patch4: jed-0.99.12-pascal.patch
Requires: jed-common = %{version}
BuildRoot: /var/tmp/jed-root

%description
Jed is a fast, compact editor based on the S-lang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief
editors; support for extensive customization with slang macros,
colors, keybindings; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if
you haven't used any text editors before and you're still deciding
what you'd like to use.  You'll also need to have jed-common
installed.

%package common
Summary: Files needed by any Jed text editor.
Group: Applications/Editors
Prereq: /sbin/install-info
%description common
The jed-common package contains files (such as .sl files) that are
needed by any Jed text editor binary in order to run. If you're
installing Jed or XJed, you'll need to also install the jed-common
package.

%package xjed
Requires: jed-common = %{version}
Summary: The X Window System version of the Jed text editor.
Group: Applications/Editors

%description xjed
Xjed is a version of the Jed text editor that will work within the X
Window System.
  
You should install xjed if you like Jed and you'd like to use it with
X.  You'll need to have the X Window System installed, as well as
jed-common.

%package -n rgrep
Summary: A grep utility which can recursively descend through directories.
Group: Applications/Text

%description -n rgrep
The rgrep utility can recursively descend through directories as it
greps for the specified pattern.  Note that this ability does take a
toll on rgrep's performance, which is somewhat slow.  Rgrep will also
highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -q -n jed-B0.99-12
%patch1 -p1 -b .xkeys
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export JED_ROOT="%{_datadir}/jed" 
%configure
make all
make xjed

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/jed
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

cp -r lib $RPM_BUILD_ROOT%{_datadir}/jed
mkdir -p $RPM_BUILD_ROOT%{_infodir}
cp -r info/jed* $RPM_BUILD_ROOT%{_infodir}

cd src/objs
install -m 0755 -s jed $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -s xjed $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0755 -s rgrep $RPM_BUILD_ROOT%{_bindir}
JED_ROOT=$RPM_BUILD_ROOT%{_datadir}/jed $RPM_BUILD_ROOT%{_bindir}/jed -batch -n -l preparse.sl

cd ../../doc
install -m 644 manual/jed.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 manual/rgrep.1 $RPM_BUILD_ROOT%{_mandir}/man1

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/xjed.desktop <<EOF
[Desktop Entry]
Name=xjed
Type=Application
Description=xjed Editor
Exec=xjed %f
EOF

gzip $RPM_BUILD_ROOT%{_infodir}/jed*

%clean
rm -rf $RPM_BUILD_ROOT

%post common
/sbin/install-info %{_infodir}/jed.info.gz %{_infodir}/dir

%postun common
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/jed.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%{_bindir}/jed

%files common
%defattr(-,root,root)
%doc COPYING COPYRIGHT doc INSTALL INSTALL.unx README changes.txt
%{_mandir}/man1/jed.*
%{_infodir}/*gz
%{_datadir}/jed

%files xjed
%defattr(-,root,root)
/usr/X11R6/bin/xjed
%config(missingok) /etc/X11/applnk/Utilities/xjed.desktop

%files -n rgrep
%defattr(-,root,root)
%{_bindir}/rgrep
%{_mandir}/man1/rgrep.*

%changelog
* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- do the long-needed update to 0.99 series

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild, move the man pages, etc.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- add info entry

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages
- add install-info scripts

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
